package com.lightinit.hsdataplatform.mapper;



import com.lightinit.hsdataplatform.entity.OfflineConference;
import com.lightinit.hsdataplatform.entity.OfflineConferenceExample;
import com.lightinit.hsdataplatform.entity.OfflineConferenceWithBLOBs;
import com.lightinit.hsdataplatform.model.admin.OfflineConferenceHeableModel;
import com.lightinit.hsdataplatform.model.admin.OfflineConferenceListModel;
import com.lightinit.hsdataplatform.model.admin.OfflineConferenceSearchModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OfflineConferenceMapper {
    long countByExample(OfflineConferenceExample example);

    int deleteByExample(OfflineConferenceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(OfflineConferenceWithBLOBs record);

    int insertSelective(OfflineConferenceWithBLOBs record);

    List<OfflineConferenceWithBLOBs> selectByExampleWithBLOBs(OfflineConferenceExample example);

    List<OfflineConference> selectByExample(OfflineConferenceExample example);

    OfflineConferenceWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") OfflineConferenceWithBLOBs record, @Param("example") OfflineConferenceExample example);

    int updateByExampleWithBLOBs(@Param("record") OfflineConferenceWithBLOBs record, @Param("example") OfflineConferenceExample example);

    int updateByExample(@Param("record") OfflineConference record, @Param("example") OfflineConferenceExample example);

    int updateByPrimaryKeySelective(OfflineConferenceWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(OfflineConferenceWithBLOBs record);

    int updateByPrimaryKey(OfflineConference record);

    List<OfflineConferenceListModel> queryList(OfflineConferenceSearchModel inputModel);

    long queryCount(OfflineConferenceSearchModel inputModel);

    OfflineConferenceListModel queryOne(@Param("id")Long id);

    long handle(@Param("inputModel") OfflineConferenceHeableModel inputModel);
}